package com.liquidnet.service.account.funding.entity;

import java.time.LocalDateTime;

public class FinAccount {
    private String accNo;

    private String finId;

    private String accType;

    private String accCurrency;

    private Integer accStatus;

    private String accAlias;

    private String accGroupId;

    private String accParent;

    private Integer accLevel;

    private Integer accState;

    private LocalDateTime createTime;

    private LocalDateTime updateTime;

    private LocalDateTime closingTime;

    private LocalDateTime checkTime;

    private Integer checkStatus;

    private String checkId;

    public String getAccNo() {
        return accNo;
    }

    public void setAccNo(String accNo) {
        this.accNo = accNo == null ? null : accNo.trim();
    }

    public String getFinId() {
        return finId;
    }

    public void setFinId(String finId) {
        this.finId = finId == null ? null : finId.trim();
    }

    public String getAccType() {
        return accType;
    }

    public void setAccType(String accType) {
        this.accType = accType == null ? null : accType.trim();
    }

    public String getAccCurrency() {
        return accCurrency;
    }

    public void setAccCurrency(String accCurrency) {
        this.accCurrency = accCurrency == null ? null : accCurrency.trim();
    }

    public Integer getAccStatus() {
        return accStatus;
    }

    public void setAccStatus(Integer accStatus) {
        this.accStatus = accStatus;
    }

    public String getAccAlias() {
        return accAlias;
    }

    public void setAccAlias(String accAlias) {
        this.accAlias = accAlias == null ? null : accAlias.trim();
    }

    public String getAccGroupId() {
        return accGroupId;
    }

    public void setAccGroupId(String accGroupId) {
        this.accGroupId = accGroupId == null ? null : accGroupId.trim();
    }

    public String getAccParent() {
        return accParent;
    }

    public void setAccParent(String accParent) {
        this.accParent = accParent == null ? null : accParent.trim();
    }

    public Integer getAccLevel() {
        return accLevel;
    }

    public void setAccLevel(Integer accLevel) {
        this.accLevel = accLevel;
    }

    public Integer getAccState() {
        return accState;
    }

    public void setAccState(Integer accState) {
        this.accState = accState;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }

    public LocalDateTime getClosingTime() {
        return closingTime;
    }

    public void setClosingTime(LocalDateTime closingTime) {
        this.closingTime = closingTime;
    }

    public LocalDateTime getCheckTime() {
        return checkTime;
    }

    public void setCheckTime(LocalDateTime checkTime) {
        this.checkTime = checkTime;
    }

    public Integer getCheckStatus() {
        return checkStatus;
    }

    public void setCheckStatus(Integer checkStatus) {
        this.checkStatus = checkStatus;
    }

    public String getCheckId() {
        return checkId;
    }

    public void setCheckId(String checkId) {
        this.checkId = checkId == null ? null : checkId.trim();
    }
}
